#ifndef _menus_public_
#define _menus_public_

//
// Variable Prototypes
//
extern int32 SaveSetup;

//
// Function Prototypes
//

void DoMainMenu( void );
void LaunchMultiPlayer( int32 gametype );
void LaunchGame( int32 dummy );
void LaunchSoundSetup( int32 dummy );

void DoFromFile( FromFileType * fromfile );
void DoFromFunctions ( FromFunctionsType * fromfunctions );
void DoChooseFile ( ChooseFileType * choosefile );
void DoKeyDefs( void );
void InitializeKeyDefinitions( int32 handle );
void WriteKeyDefinitions( int32 handle );
void InitializeKeyDefList( void );
void FreeKeyDefList( void );
void AddKeyDef( char * functionname, char * keyname, int32 whichkey );
void AddKeyFunction( char * functionname );

// screen functions;

void DoChainedModeSetup( void );
void DoScreenBufferModeSetup( void );
void DoVesaBufferModeSetup( void );

// sound functions
void SetupSound( int32 cardname );
void SetupMusic( int32 cardname );
void TestMusic( void );
void TestSound( void );

#endif
